package eu.dnetlib.data.openaire.dsm.repository;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import eu.dnetlib.data.is.common.ReadOnlyRepository;
import eu.dnetlib.data.openaire.dsm.model.view.ApiWithAdditionalInfo;

@Repository
@ConditionalOnProperty(value = "openaire.api.enable.dsm", havingValue = "true")
public interface ApiWithAdditionalInfoRepository extends ReadOnlyRepository<ApiWithAdditionalInfo, String>, JpaSpecificationExecutor<ApiWithAdditionalInfo> {

}
